#include <stdio.h>
#include "Actuator.h"

Actuator::Actuator(Channel *chan, channelData *data)
: X(chan)
{
	m_data = new channelData(*data);
}

Actuator::~Actuator()
{
	delete m_data;
}

channelData *Actuator::getData()
{
	return m_data;
}

void Actuator::setTargetAngle(float angle)
{
	m_data->angle = angle;
}

void Actuator::update()
{
	float angle;
	angle = m_data->angle;
	m_chan->write(&angle, MPI_FLOAT, 1);
}
