#ifndef ACTUATOR_H
#define ACTUATOR_H

#include "Channel.h"
#include "X.h"
#include "btBulletDynamicsCommon.h"

class Actuator : public X
{
private:
	channelData *m_data;

public:
	Actuator(Channel *chan, channelData *data);
	~Actuator();

	void update();

	channelData *getData();
	void setTargetAngle(float angle);
};

#endif //ACTUATOR_H
