#ifndef SENSORPROVIDER_H
#define SENSORPROVIDER_H

#include "Channel.h"
#include "XProvider.h"
#include "btBulletDynamicsCommon.h"

#include <utility>

class SensorProvider : public XProvider
{
private:
	btHingeConstraint *m_joint;
	int m_orient;

public:
	SensorProvider(Channel *chan, btHingeConstraint *joint, int orient);
	~SensorProvider();

	btHingeConstraint *getConstraint();
	int getOrient();

	void updatePre();

	void packData(channelData *data, int id);
};

#endif //SENSORPROVIDER_H
